#include <stdio.h>
#include <lapacke.h>

int main()
{
      int i;
      lapack_int INFO;
      lapack_int m=3, lda=3,ldb=1,nrhs=1;
      int IPIV[m];

//  The elements of A are broken up into  rows
      float A[3][3]={1,2,3,4,5,6,3,8,9};

      float B[3] ={1,0,-1};

      for(i =0;i<m;i++){
         printf(" %f %f %f \n",A[i][0],A[i][1],A[i][2]);
      }

      printf("\n"); 

      for(i =0;i<m;i++){
         printf(" %f \n",B[i]);
      }

      LAPACKE_sgesv(LAPACK_ROW_MAJOR,m,nrhs,*A,3,IPIV,B,ldb);


      printf("Solve the system.  INFO = %d\n",INFO);
      printf("INFO = 0 is success, INFO > 0 means A is singular\n");

      for(i =0;i<m;i++){
         printf(" %f %f %f \n",A[i][0],A[i][1],A[i][2]);
      }
      printf("\n");

      for(i =0;i<m;i++){
         printf(" %f \n",B[i]);
      }

      return 0;

}
